Childsplay(6)

NAME
Childsplay - Educational games for young children.

SYNOPSIS
childsplay [options]

DESCRIPTION

Childsplay is a suite of educational games for young children; it is a fun and save way to let young children use the computer and at the same time teach them a little math, letters of the alphabeth, spelling, eye-hand coordination etc.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--no-login
    Don't show login window. This will run schoolsplay in 'anonymous' mode which means that there will be no data collecting

--kioskmode
    Enable kioskmode. This will run schoolsplay in kioskmode which means that there will be no keyboard support.

--remote-mysqlserver
    (NOT USED YET)The ip nummer of the remote mySQL server.

-t THEME, --theme=THEME
    Set the theme schoolsplay will use.

-l LOGLEVEL, --loglevel=LOGLEVEL
    Set logging level. Possible values are: debug,info,warning,error,critical

--adminmode
    Enable adminmode. This will run schoolsplay in adminmode which means that certain extra possibilities are enabled

--no-sound
    Disable any sound. Be aware that certain activities that rely on sound won't start.

--no-text
    Disable text before every level's activities.

--language=LANG
    Set the language schoolsplay should use. Be aware that not all languages are supported yet. If your language isn't supported and you want to provide language support,please contact the schoolsplay team.

--default_language=DEFAULT_LANGUAGE
    Set the default language. Only use this if you know why you want to use it.

--fullscreen
    Run schoolsplay in fullscreen mode.

--bigcursor
    Use a bigger (48x48) cursor.

--nocursor
    Hide the mouse cursor. This is intended for touchscreens

--no-exit-question
    No 'are you sure?' questions will be asked

--no-countdown
    No '4,3,2,1' countdown screen will displayed between levels

--user=USER
    Set the username to be used for dbase actions

--no-level-pause
    Don't show graphics and don't play a sound between levels.

--checklog
    Check the SP log for anomalies in the logs.

--crapware
    When running on wellknown crapware like the white MSI 1900 set this option and we try to work around the various OS/hardware bugs.

--plainversion
    Return the version number in a plain string

--kill-btp=KILL_BTP
    If we should kill any running btp, a pid must be given. BTP is started again when childsplay quits. (ONLY available on BTP machines)

--restart-btp=RESTART_BTP
    If we killed any running btp, we use this to start BTP again when childsplay quits. (ONLY available on BTP machines)

SEE ALSO
This manpage was written for the debian package using help2man as a starting point.

For more documentation about the project go to http://www.childsplay.mobi/.